import {NgModule} from '@angular/core';
import {BrowserModule} from '@angular/platform-browser';

import {AppRoutingModule} from './app-routing.module';
import {AppComponent} from './app.component';
import {HeaderComponent} from './modules/layout/header/header.component';
import {NgOptimizedImage} from "@angular/common";
import {LayoutComponent} from './modules/layout/layout.component';
import {ScannerComponent} from './modules/pdf-scanner/scanner/scanner.component';
import {MessageService} from "primeng/api";
import {ToastModule} from "primeng/toast";
import {BrowserAnimationsModule} from "@angular/platform-browser/animations";
import {ScanCompletedComponent} from './modules/pdf-scanner/scan-completed/scan-completed.component';
import {SafePipe} from "./core/pipes/safe.pipe";
import {ReaderDialogComponent} from './modules/pdf-scanner/scan-completed/reader-dialog/reader-dialog.component';
import {DialogModule} from "primeng/dialog";
import {HttpClientModule} from "@angular/common/http";
import {
  ScanCompletedMethodTwoComponent
} from "./modules/pdf-scanner/scan-completed-method-two/scan-completed.method.two.component";
import {LoaderComponent} from './modules/layout/loader/loader.component';
import {LottieModule} from "ngx-lottie";
import player from 'lottie-web';
import {TooltipModule} from "primeng/tooltip";

// Factory function that returns the lottie-web player
export function playerFactory() {
  return player;
}

@NgModule({
  declarations: [
    SafePipe,
    AppComponent,
    HeaderComponent,
    LayoutComponent,
    ScannerComponent,
    ScanCompletedComponent,
    ReaderDialogComponent,
    ScanCompletedMethodTwoComponent,
    LoaderComponent
  ],
  imports: [
    BrowserModule,
    HttpClientModule,
    AppRoutingModule,
    NgOptimizedImage,
    ToastModule,
    BrowserAnimationsModule,
    DialogModule,
    LottieModule.forRoot({player: playerFactory}),
    TooltipModule,
    // Correctly configure the LottieModule

  ],
  providers: [MessageService, SafePipe],
  bootstrap: [AppComponent]
})
export class AppModule {
}
